#pragma once
#include "unit.h"



class Note : public Unit
{

  public:

    int                       m_WalkSpeed;
    int                       m_FlownDistance;
    int                       m_DistanceToFly;
    bool                      m_Rising;


    Note();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );
    virtual void              UpdateFixed( Level& Level );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

    void                      Rise();

};
